> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get partner link statistics

> Get all statistics relative to links for a partner.



## OpenAPI

````yaml /openapi.json get /v3/partners/{id}/links/stats
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/partners/{id}/links/stats:
    get:
      tags:
        - Partners
      summary: Get partner link statistics
      description: Get all statistics relative to links for a partner.
      parameters:
        - name: id
          in: path
          description: Partner ID for which to return link statistics
          required: true
          schema:
            type: integer
            format: int32
        - name: currency
          in: query
          description: The currency used to convert aggregated amounts
          schema:
            type: string
      responses:
        '200':
          description: Partner link statistics returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerLinksStatsDto'
        '404':
          description: Partner not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                errorCode: Transactions.InvalidCustomerIdentifier
                errorMessage: You must specify one customer identifier
      security:
        - oauth2:
            - Api
            - Api
components:
  schemas:
    PartnerLinksStatsDto:
      type: object
      properties:
        partnerId:
          type: integer
          format: int32
        partnerName:
          type: string
          nullable: true
        uniqueVisitorsCount:
          type: integer
          format: int32
        customersCount:
          type: integer
          format: int32
        transactionsCount:
          type: integer
          format: int32
        totalTransactionAmount:
          $ref: '#/components/schemas/AmountDto'
        byLink:
          type: array
          items:
            $ref: '#/components/schemas/PartnerLinkStatsDto'
          nullable: true
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        errorCode:
          type: string
          nullable: true
        errorMessage:
          type: string
          nullable: true
      additionalProperties: false
    AmountDto:
      type: object
      properties:
        value:
          type: number
          format: double
        currency:
          type: string
          nullable: true
      additionalProperties: false
    PartnerLinkStatsDto:
      type: object
      properties:
        linkId:
          type: integer
          format: int32
        targetUrl:
          type: string
          nullable: true
        uniqueVisitorsCount:
          type: integer
          format: int32
        customersCount:
          type: integer
          format: int32
        transactionsCount:
          type: integer
          format: int32
        totalTransactionAmount:
          $ref: '#/components/schemas/AmountDto'
      additionalProperties: false

````